<?php
/**
 * This is the entrypoint for the locrMAPS for WooCommerce WordPress plugin.
 *
 * @package locrMAPS for WooCommerce
 */

declare(strict_types=1);

namespace Locr\WordPress\Plugin\LocrMapsForWooCommerce\DDD\ValueObjects;

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * This class is responsible for the sizes query selector.
 */
final class IconsQuerySelector implements \Stringable {
	public const ATTRIBUTE_KEY = 'icons-query-selector';
	public const OPTION_KEY    = 'locrmaps_for_woocommerce_icons_query_selector';

	/**
	 * The constructor.
	 *
	 * @param string $icons_query_selector The sizes query selector.
	 */
	public function __construct( private string $icons_query_selector = '' ) {
	}

	/**
	 * The magick getter.
	 */
	public function __toString(): string {
		return $this->icons_query_selector;
	}
}
